Jump to content

Explorist 600 North America NEW FIRMWARE!?


Geo Blu
Followers 0

Recommended Posts

I just received a brand new Explorist 600 North America from Magellan on 11/29/07 (after sending my old one in for repairs 3 times!!! -- wouldn't aquire sats)

 

The unit I just got has Firmware version 5.2.17.... The tech I talked to on the phone before they sent it to me said something about the firmware but I wasn't paying attention at the time.... correct me if I'm wrong, but I thought the most updated version was 2.03 for the 600 NA units?

 

I don't see 2.17 on Magellans web site yet.

 

The unit works as advertised .....FINALLY... not sure what is up with the firmware update but I'm sure it will make many of you happy! :)

Link to comment

I just received a brand new Explorist 600 North America from Magellan on 11/29/07 (after sending my old one in for repairs 3 times!!! -- wouldn't aquire sats)

The unit I just got has Firmware version 5.2.17.... The tech I talked to on the phone before they sent it to me said something about the firmware but I wasn't paying attention at the time.... correct me if I'm wrong, but I thought the most updated version was 2.03 for the 600 NA units?

I don't see 2.17 on Magellans web site yet.

The unit works as advertised .....FINALLY... not sure what is up with the firmware update but I'm sure it will make many of you happy! :anicute:

 

Yeah, it probably lets it see the new WAAS satellites, instead of searching endlessly for the defunct ones.

Norm

 

P.S. :

I'm thinking every eXplorist owner should check "Secret Menu '03'" regardless of the model number and

see what satellites their unit is looking for! Mine, and at least one other XL can't stop looking for PRN

numbers 122, and 134.

Link to comment

I don't know anything about a 5.2.17 version--are you sure you typed that correctly?

 

The Exporist 500 Europe model's firmware works in 500/600 U.S. versions. Search this forum to read all about it. The current version available is 2.57. It works great in my U.S. 600.

Get it at http://www.magellangps.com/support/notes.asp?supportID=424

 

I too have just bought an eXplorist 600 US - 5.2.17 April24 2007 firmware. It doesn't have the extra screens that ver.2.57 provides. I have seen an Australian Expl600 with 2.57 (download from Aust. Distributor at http://www.nextdestination.com.au/Pages/Do...aspx?BrandId=13 ) and this is great, but I can't get that download to install on the US model. It sounds like you have successfully put the EU version on ... your link shows model 500 and 500LE ver2.57 download. Is one of these okay to install? Don't want to fry the unit! To get it, do you just follow the registration procedure pretending you have a 500? Or does somebody have the file they can send to us. Will supply email address if you can help me ...

 

Thanks, Sean

Link to comment

 

When I go to this link, only Firmware for 500 and 500LE is available. When I try to download, I'm asked to register. I try and register with my serial number (model 600), but it detects that this serial number is not for a 500 model.

 

How do you download this software? Can anyone email it to me? Please PM me

 

Sean

Link to comment

Wow. Magellan has tightened down their download page.

 

When I got the firmware from that page there was no registration required, and there was no page requesting the serial number or anything.

 

On further investigation (actually looking at my GPS unit and my saved download files, rather than the Magellan web page) the version I downloaded and installed last March is version 5.2.57. Sorry about the mis-information.

 

Send me an email with your email address and I'll send you the file. I don't have any of the installation notes, but I think you can search this forum or other pages for instructions.

 

I remember that some people lost their base maps with the upgrade to 5.2.57. I didn't. I'd copy everything from my unit's internal memory to my computer before I started.

 

I'll send it, but you install it at your own risk.

Link to comment

I just received a brand new Explorist 600 North America from Magellan on 11/29/07 (after sending my old one in for repairs 3 times!!! -- wouldn't aquire sats)

The unit I just got has Firmware version 5.2.17.... The tech I talked to on the phone before they sent it to me said something about the firmware but I wasn't paying attention at the time.... correct me if I'm wrong, but I thought the most updated version was 2.03 for the 600 NA units?

I don't see 2.17 on Magellans web site yet.

The unit works as advertised .....FINALLY... not sure what is up with the firmware update but I'm sure it will make many of you happy! :laughing:

 

Yeah, it probably lets it see the new WAAS satellites, instead of searching endlessly for the defunct ones.

Norm

 

P.S. :

I'm thinking every eXplorist owner should check "Secret Menu '03'" regardless of the model number and

see what satellites their unit is looking for! Mine, and at least one other XL can't stop looking for PRN

numbers 122, and 134.

 

I have an eXplorist 600 and upgraded the firmware to 2.57. Just checked the secret menu #03 and it shows I am tracking sats 138 and 135. For more info goto http://members.shaw.ca/pdops/WAAS.html

Link to comment

Hi there, thanks for answering my plea!

I would love to give the EU version a try. I have successfully upgraded an Australian unit with the AU version, but that version doesn't seem to take on the Amer. unit. When it runs, it gives the impression that it has worked, but when you restart the unit, the 5.2.17 version is still there. Perhaps the date of the 5.2.17 revision being 24 Apr 2007 - and after the 5.2.57 (07 Feb 2007) - has something to do with it? Maybe the unit sees 5.2.17 as being "more recent" than 5.2.57?

Will see how it goes ... Backup backup backup ...

Edited by Starruby
Link to comment

Well, I've tried a few things, and I HAVE NOT succeeded in upgrading my new eXplorist 600 North America to Version 5.2.57.

 

Summary:

 

Unit has Rev. 5.2.17 dated 24April2007

 

Have applied Australian 5.2.57 firmware to the unit - appeared to work - software end message said successful - but unit still has Rev. 5.2.17

 

Have applied European 5.2.57 firmware including basemap - appeared to work - software end message said successful - but unit still has Rev. 5.2.17 - NAmer Basemap replaced with Europe (easily fixed with backup)

 

There must be something in the 5.2.17 firmware (installed in new US units including mine) that prevents the 5.2.57 upgrade. Certainly, the Rev. 5.2.17 is dated 24April2007, and Rev 5.2.57 is dated 7Feb2007, so perhaps the unit won’t allow a “downgrade” to an "earlier" version.

 

Does anyone have any thoughts, or had success changing firmware from 5.2.17 to 5.2.57?

 

Have considered using special menu 95 - Erase serial flash memory - but might this fry the unit?

Link to comment

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

Loading...
Followers 0
×
×
  • Create New...